Skip to main content
GET
/
organization
/
{organizationId}
/
invoice
/
{invoiceId}
Get organization invoice
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/invoice/{invoiceId} \
  --header 'Authorization: Bearer <token>'
{
  "total_in_cents": 30000,
  "total": 300,
  "currency_code": "USD",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "status": "NOT_PAID"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

invoiceId
string<uuid>
required

Invoice ID

Response

Get Invoice

total_in_cents
integer
required
Example:

30000

total
number
required
Example:

300

currency_code
string
required
Example:

"USD"

id
string<uuid>
required
created_at
string<date-time>
required
status
enum<string>
required
Available options:
NOT_PAID,
PAID,
PAYMENT_DUE,
PENDING,
POSTED,
UNKNOWN,
VOIDED